
QGIS Application - Bug report #6567

QGIS Lisboa crashes when selecting a raster and clicking on it while editing a vector layer 

2012-10-24 10:29 AM - Thomas Campagne

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Digitising

Affected QGIS version:1.8.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:Yes Copied to github as #: 15765

Description

Hi,

QGIS 1.8.0 Lisboa always crashes in the situation described below.

I am updating a shapefile based on rasters.

The vector layer is displayed on top of the raster, and editing is toggled on.

If the vector layer is selected in the layers tree and I move the nodes everything goes fine.

If I selected the raster layer (because I just turned it on and off to see another raster further in the background) and then tried to move a

node (the pointer is still in editing mode at this point), QGIS crashes.

I guess it is trying to edit the raster which cannot be done so it bugs...

Maybe the pointer should leave the editing mode when the edited vector layer is not selected in the layers tree.

QGIS 1.8.0 Lisboa installed with osgeo4w.exe on Windows 7 64bits.

Related issues:

Related to QGIS Application - Bug report # 7351: Crash with node tool when on... Closed 2013-03-13

History

#1 - 2012-10-25 12:30 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Target version set to Version 2.0.0

- Affected QGIS version changed from master to 1.8.0

- Crashes QGIS or corrupts data changed from No to Yes

- Priority changed from Normal to High

Please try qgis-dev (with osgeo4w) and report back. Thanks!

#2 - 2012-10-25 01:47 AM - Filipe Dias

I also get the same problem, but it occurs more frequently with WMS rasters than with Tiff. I just tested with 1.8 and today's QGIS Master.

I reported the exact same problem 6 months ago but only a few other people could replicate this (it was a major headache). In the meantime I reinstalled

Windows 7 and the problem remains:

#5615
Apparently this doesn't happen on Linux and at the time Giovanni thought it could be a memory related issue.

#3 - 2012-10-25 01:50 AM - Giovanni Manghi

probably duplicate of #5615

#4 - 2012-10-25 01:52 AM - Giovanni Manghi

on windows should be easy also to test older versions (example 1.7.4), please give it a try, we must understand if this is a regression.

#5 - 2012-10-26 03:07 AM - Filipe Dias

- Priority changed from High to Severe/Regression

- Operating System set to Windows 7

This doesst happen in QGIS 1.7.4 and is therefore a regression.

In 1.7.4 when the user selects the raster layer, the Editing/Digitizing buttons are deactivated and therefore it is impossible to have the same crash.

In 1.8 and Master, the Editing/Digitizing buttons are not deactivated when a raster layer is selected and is possible to select a node.

Like Thomas Campagne suggests, it appears that QGIS 1.8 and Master "try to edit" the raster and then the program crashes.

#6 - 2012-10-26 06:41 AM - Filipe Dias

- Category set to Digitising

#7 - 2012-10-26 06:42 AM - Giovanni Manghi

- Status changed from Feedback to Open

#8 - 2012-10-29 03:36 AM - Filipe Dias

- Operating System changed from Windows 7 to Windows 7/Linux Ubuntu 12.04

I tested on Linux Ubuntu 12.04 with QGIS running from the terminal and also got a crash. This is the message that showed up:

Segmentation fault (core dumped)

#9 - 2012-12-25 06:16 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Operating System deleted (Windows 7/Linux Ubuntu 12.04)

In 1.8 and Master, the Editing/Digitizing buttons are not deactivated when a raster layer is selected and is possible to select a node.

Like Thomas Campagne suggests, it appears that QGIS 1.8 and Master "try to edit" the raster and then the program crashes.

I just tested again both qgis 1.8 and master, and it seems that every time I select a different layer the editing tools are correctly deactivated, so the
possible/probable source of this issue seems gone, can anyone confirm?

#10 - 2012-12-30 12:25 PM - Filipe Dias

There's a difference now:

When a raster (WMS or tiff) is selected, the editing tools are deactivated but it is still possible to move nodes around. However it didn't crash when I did

this.

#11 - 2012-12-31 01:04 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to fixed

please reopen if the problem will surface again.
